
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;

/**
 * RequestUtil Class
 */
 
public class RequestUtil {

   /**
	* getParmNames	Method
	*
	* @parm			HttpServletRequest
	* @return		String[]	
 	*/

	public static String [] getParmNames(HttpServletRequest request) {

		Vector v = new Vector();

		Enumeration e = 
		    request.getParameterNames();

		while (e.hasMoreElements()) 
			v.addElement(e.nextElement());

		String s[] = new String[v.size()];

		for (int i=0; i < s.length; i++)
			s[i] = (String) v.elementAt(i);

		return s;
		
	}

   /**
	* getParmValues Method
	*
	* @parm			String[]				field names
	* @parm			HttpServletRequest
	* @return		String[]	
 	*/

	public static String[] getParmValues(String pn[],
								 	 	 HttpServletRequest request) {
			
		String pv[] = new String[pn.length];
		
		for (int i=0; i < pn.length;i++)
			pv[i] = request.getParameter(pn[i]);
			
		return pv;
	}
}

