/*
 * $Id: Screen.java,v 1.3 2000/09/20 05:36:12 gmurray Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.petstore.control.web;

import java.util.HashMap;

public class Screen {

    private String name;
    private HashMap parameters;

    public Screen(String name, HashMap parameters) {
        this.name = name;
        this.parameters = parameters;
    }

    public HashMap getParameters() {
        return parameters;
    }

    public Parameter getParameter(String key) {
        return (Parameter)parameters.get(key);
    }

    public String toString() {
        return "[Screen: name=" + name + ", parameters=" + parameters + "]";
    }
}

