/*
 * $Id: LanguageHandler.java,v 1.2 2000/10/06 19:45:27 gmurray Exp $
 * Copyright 2000 Sun Microsystems, Inc. All rights reserved.
 * Copyright 2000 Sun Microsystems, Inc. Tous droits rservs.
 */

package com.sun.j2ee.blueprints.petstore.control.web.handlers;

import java.util.HashMap;
import java.util.ArrayList;
import java.util.Enumeration;
import java.util.Locale;
import javax.servlet.http.HttpSession;

import javax.servlet.http.HttpServletRequest;

import com.sun.j2ee.blueprints.petstore.control.event.EStoreEvent;
import com.sun.j2ee.blueprints.util.tracer.Debug;
import com.sun.j2ee.blueprints.petstore.util.WebKeys;


/**
 * LanguageHandler
 *
*/
public class LanguageHandler extends RequestHandlerSupport {

    public EStoreEvent processRequest(HttpServletRequest request){
        String language = request.getParameter("language");
        Debug.println("Changing Language to " + language);
        Locale locale = Locale.US;
        if (language.equals("English")) locale = Locale.US;
        else if (language.equals("Japanese")) locale = Locale.JAPAN;
        request.getSession().setAttribute(WebKeys.LanguageKey, locale);
        return null;
    }
}
